I'm trying to upgrade an SSR project to the latest Angular version but I'm running into an error and I'm completely confused.

I think the gist of the issue is that when I do build:ssr, the resulting main.js file is missing a lot of exports. The end of the file looks like this:

//snip
/***/ 0:
/*!**********************************!*\
  !*** multi ./src/main.server.ts ***!
  \**********************************/
/*! no static exports found */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__(/*! C:\Users\Bart\workspace\epicuro-web\src\main.server.ts */"C:\\Users\\Bart\\workspace\\epicuro-web\\src\\main.server.ts");


/***/ }),

/***/ "C:\\Users\\Bart\\workspace\\epicuro-web\\src\\main.server.ts":
/*!*******************************************************************************!*\
  !*** external "C:\\Users\\Bart\\workspace\\epicuro-web\\src\\main.server.ts" ***!
  \*******************************************************************************/
/*! no static exports found */
/***/ (function(module, exports) {

module.exports = require("C:\\Users\\Bart\\workspace\\epicuro-web\\src\\main.server.ts");

/***/ })

/******/ })));
//# sourceMappingURL=main.js.map

Before the upgrade, there were a lot of files referenced in this file. I'm not sure what other information is relevant, so please ask me for input and I'll provide it. I don't want to share the whole project unless it's really necessary.

0 Answers